File fix_provides.diff of Package perl-JSON

Index: JSON-2.51/lib/JSON/backportPP.pm
===================================================================
--- JSON-2.51/lib/JSON/backportPP.pm	2011-03-08 07:30:52.000000000 +0100
+++ JSON-2.51/lib/JSON/backportPP.pm	2011-04-05 10:21:44.246841693 +0200
@@ -1286,7 +1286,8 @@ BEGIN {
     }
 
     if ($] >= 5.008 and $] < 5.008003) { # join() in 5.8.0 - 5.8.2 is broken.
-        package JSON::PP;
+        package 
+           JSON::PP;
         require subs;
         subs->import('join');
         eval q|